Subject: Re: linux-next: manual merge of the vfs-brauner tree with the djw-vfs tree

From: Christian Brauner <[email-masked]>
Date: Tue, 22 Aug 2023 22:19:00 +0200

> > my preferred solution. How do you feel about that?
> 
> I'm happy to have you pull my xfs-linux tags into your vfs tree. :)

Ah, sweet. I apppreciate that. I'll mention in the pr to Linus that if
he wants to reject other parts of the super work that he should then
still simply pull the freeze stuff from you without the rest.

> 
> Here's a tag with just the two vfs patches:
> https://git.kernel.org/pub/scm/fs/xfs/xfs-linux.git/tag/?h=vfs-6.6-merge-2
> 
> This second tag builds on that, by adding the first actual user of
> FREEZE_HOLDER_KERNEL:
> https://git.kernel.org/pub/scm/fs/xfs/xfs-linux.git/tag/?h=vfs-6.6-merge-3

Assuming I understood correctly I did just pull both tags and pushed
them out. Would you please take a look at
https://git.kernel.org/pub/scm/linux/kernel/git/vfs/vfs.git/log/?h=vfs.super
and let me know if everything looks as expected? I'll be going afk in a
bit just waiting for the kernel build to finish to kick of some
xfstests. If you find anything I'll fix up any issues up tomorrow
morning.

> 
> There will be more for 6.7(+?) if Luis manages to get back to his
> auto-fsfreeze during suspend, or if Shiyang finishes the series to
> handle pmem media error reporting in xfs.

Ok, sounds good let me know/Cc me when ready/needed.

Thanks for all the help!